Bug 467262 - (CVE-2008-4575) CVE-2008-4575 jhead buffer overflow
CVE-2008-4575 jhead buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 467263 467264
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 11:49 EDT by Josh Bressers
Modified: 2008-10-22 11:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 11:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-10-16 11:49:16 EDT
Buffer overflow in the DoCommand function in jhead before 2.84 might
allow context-dependent attackers to cause a denial of service (crash)
via (1) a long -cmd argument and (2) possibly other unspecified
vectors.

Reference: http://www.openwall.com/lists/oss-security/2008/10/15/6
Reference: http://www.sentex.net/~mwandel/jhead/changes.txt
Reference: https://bugs.launchpad.net/ubuntu/+source/jhead/+bug/271020
Comment 2 Fedora Update System 2008-10-20 16:28:47 EDT
jhead-2.84-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-10-20 18:05:56 EDT
jhead-2.84-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-10-22 11:46:17 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8941
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8928

Note You need to log in before you can comment on or make changes to this bug.